API referenceAdmin
Create a platform experiment
Registers an experiment with its variants and targeting, and returns the created record. Platform admins only; an invalid variant set or a duplicate key is rejected as a validation error.
POST
apiKeyheader
AuthorizationBearer <snoze_sk_…>Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.
application/json- body
name*stringhypothesis?string|nullflagId?string|nulltargetType?|nulltargetKey?string|nullassignmentUnit?|nullaudience?string|nullallocation?number|nullprimaryMetric?string|nullguardrailMetric?string|nullvariants?array<string>|nullSuccess
application/json- response
data*Example Request
curl -X POST 'https://api.snoze.dev/v1/admin/experiments' \ -H 'Content-Type: application/json' \ -d '{ "name": "string"}'Example Response
{ "data": { "id": "string", "name": "string", "hypothesis": "string", "targetType": "flag", "targetKey": "string", "assignmentUnit": "workspace", "status": "draft", "flagKey": "string", "audience": "string", "allocation": 0, "primaryMetric": "string", "guardrailMetric": "string", "startedAt": "string", "endsAt": "string", "winner": "string", "variants": [ { "id": "string", "label": "string", "split": 0, "exposures": 0, "conversionRate": 0, "errorRate": 0 } ] }}